sciteproj(1)

NAME
SciteProj - a Project Manager for the SciTE editor

DESCRIPTION
SciteProj is a Project Manager for the SciTE editor - It is used to group a bunch of files into a project for easy access in SciTE giving the possibility to group files in folders, and saves the project to disc in XML format. It is based on the program ScitePM by Roy Wood. It uses the director interface of SciTE to communicate between SciTE and SciteProj.

OPTIONS

-s, --scite FILENAME
    Sets the filename for the instance of SciTE to open.

-v, --version
    Displays the version number of SciteProj

-h, --help
    Display a short help

CONFIG FILE
The config file that SciteProj is using is named sciteprojrc.lua, and is loaded from the directory where sciteproj is started in. - If this file isn't found, sciteproj searches for the file in the users $HOME/.config/ directory. It is loaded on every program start. There is a menuitem in the program to open the file directly in SciTE for editing. If there isn't a .sciteproj in the user home when starting SciteProj, one will be created filled with default values. The following options are supported in the config file:

xpos, ypos, width and height
    Specifies the position and size of the program window on start

give_scite_focus

AUTHOR
SciteProj was written by Andreas Rönnquist <andreas@ronnquist.net>.